Name:           swatch
Version:        3.2.1
Release:        1%{?dist}
Summary:        Tool for actively monitoring log files

Group:          Applications/File
License:        GPL
URL:            http://swatch.sourceforge.net/
Source0:        http://dl.sf.net/swatch/swatch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(File::Tail)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Simple WATCHer is an automated monitoring tool that is capable
of alerting system administrators of anything that matches the
patterns described in the configuration file, whilst constantly
searching logfiles using perl.


%prep
%setup -q
chmod -v 644 tools/*

cat <<__EOF__ > %{name}-perlreq
#!/bin/sh
/usr/lib/rpm/perl.req \$* | grep -v '^perl(Mail::Sendmail)' | grep -v '^perl(Sys::Hostname)'
__EOF__

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-perlreq
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist  -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT COPYING KNOWN_BUGS README examples/ tools/
%{_bindir}/swatch
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Swatch/
%{perl_vendorlib}/auto/Swatch/


%changelog
* Tue Sep  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.2.1-1
- Update to 3.2.1.
- Dropped patch: swatch-3.1.1.patch.
- Filtered doc requirements.

* Thu Mar  2 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.1.1-5
- Rebuild for FC5 (perl 5.8.8).

* Thu Jan  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.1.1-4
- Patch supplied by John Horne: doc updates and $0 handling (#160817).

* Thu May 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.1.1-3
- Add dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.1.1-2
- rebuilt

* Thu Aug 26 2004 Gavin Henry <ghenry[AT]suretecsystems.com> - 0:3.1.1-1
- Retaking ownership, thanks jpo and updating for version 3.1.1

* Tue May 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:3.1-0.fdr.3
- Taking temporary ownership.
- Synced specfile suggestions.
- Cleared the requirements.

* Mon May 10 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.1-0.fdr.2
- Updated with bugzilla changes.

* Wed Apr 28 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.1-0.fdr.1
- Updated for version 3.1

* Thu Mar 18 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.0.8-0.fdr.1
- Updated with QA comments and added BuildRequires. Fedora.us - Bug 1346

* Sat Mar 06 2004 Gavin Henry <ghenry@suretecsystems.com> - 0:3.0.8-0
- Initial package release.
